Page MenuHomePhabricator

[clangd] Add tracer to the rename workflow, NFC
ClosedPublic

Authored by hokein on Feb 11 2020, 3:52 AM.

Diff Detail

Event Timeline

hokein created this revision.Feb 11 2020, 3:52 AM
Herald added a project: Restricted Project. · View Herald TranscriptFeb 11 2020, 3:52 AM
kbobyrev added inline comments.Feb 13 2020, 12:38 AM
clang-tools-extra/clangd/refactor/Rename.cpp
370

A tracer message here would be helpful!

652

Maybe add the tracer here, too?

hokein updated this revision to Diff 244384.Feb 13 2020, 3:55 AM
hokein marked 3 inline comments as done.

address review comments.

clang-tools-extra/clangd/refactor/Rename.cpp
370

the message now would be the <filename, num_of_ranges> and under the FindOccurrencesOutsideFile span, I think it is clear enough?

652

ah, good point. I missed this.

kbobyrev accepted this revision.Feb 14 2020, 2:59 AM
kbobyrev added inline comments.
clang-tools-extra/clangd/refactor/Rename.cpp
370

Okay, sounds good!

This revision is now accepted and ready to land.Feb 14 2020, 2:59 AM
This revision was automatically updated to reflect the committed changes.